var inputFile = document.querySelector(".archivo");
var Area_Esp = document.querySelector("#Folio_F");
inputFile.onchange=()=>{
	let Origen = document.getElementById('Pantalla').value;
	let Folio = (Origen==1 ? document.getElementById('List_Folios').options[Nodo_.selectedIndex].text : document.getElementById('List_Folios').value)
	// let Nodo_ = document.getElementById('List_Folios')
	// let Folio = Nodo_.options[Nodo_.selectedIndex].text;
	let archivo = inputFile.files[0];
	let Archivo_Size = inputFile.files[0].size;
	let Fol_Arch ="Folio_"+Folio+".pdf";

	
	if (Archivo_Size < 500000){ 
	let formData = new FormData();
        formData.append("archivo", archivo, Fol_Arch); // En la posición 0; es decir, el primer elemento
	    formData.append("Folio", Folio); 
        fetch("Updates_F/Upload.php", {
            method: 'POST',
            body: formData,
        })
            .then(respuesta => respuesta.text())
            .then(decodificado => {
				if (decodificado=='true'){
					document.getElementById("Nota_F").innerHTML='¡¡ El Folio se subio correctamente !!';
					document.getElementById('Panta_II').style.display = 'block';	
					document.getElementById('Panta_I').style.display = 'none';	
					Folio=0;
				}else{
					document.getElementById("Nota_F").innerHTML='¡¡ Error: 501 No se almaceno el Archivo !!';
				}
				document.querySelector(".archivo").disabled='true';
				Espera_Modal();
            });	
	}else{
		document.getElementById("Nota_F").innerHTML='<font color="red">¡¡ ERROR : Se supera el tamaño del archivo !!</font>';
		Espera_Modal();
		
	}
	
    document.getElementById("area-progreso").style.display="block";

}
Area_Esp.addEventListener("click", ()=>{
	inputFile.click();
});


function Espera_Modal(){
		setTimeout('CloseModal()',5000);
}
